:userdoc.
.*
.*   Filename:      JIGSAW.IPF
.*   Date Revised:  9/26/91
.*
.*************************************************
.*
:h1 res=20801.Help for File
:p.
Use :hp2.File:ehp2. to open a puzzle.
.*
.*************************************************
:h2 res=20803.Help for Open
:p.
Use :hp2.Open:ehp2. to display a window that enables you to choose a
puzzle.
.*
.*************************************************
.*
:h1 res=20802.Help for Options
:p.
Use :hp2.Options:ehp2. to change the size of, and scramble, the puzzle
pieces.
.*
.*************************************************
.*
:h2 res=20805.Help for Size
:p.
Use :hp2.Size:ehp2. to change the size of the puzzle pieces.
:p.
The sizes are&colon.
:dl compact break=all.
:dt.:hp2.Small:ehp2.
:dd.The puzzle is 1/5 of the size of the screen.
:dt.:hp2.Medium:ehp2.
:dd.The puzzle is 1/2 of the size of the window.
:dt.:hp2.Larger:ehp2.
:dd.The puzzle is 3/4 of the size of the window.
:dt.:hp2.Full Size:ehp2.
:dd.The puzzle is the full size of the window.
:edl.
:p.
A :link refid=checkmark reftype=fn.check mark:elink. appears next to your
selection when the selection is active.
.*
.*************************************************
.*
:h2 res=20806.Help for Jumble!
:p.
Use :hp2.Jumble!:ehp2. to shuffle the puzzle pieces.
.*
.************************************************
.*   HELP FOR DIALOG BOX FIELDS
.*   OPEN A JIGSAW FILE
.************************************************
:h1 res=20809 hide nosearch.Help for Open
:p.
Use :hp2.Open:ehp2. to select a puzzle&colon.
:ol compact.
:li.Select the down arrow to the right of the :hp2.Drive:ehp2. list to
display all the drives on your system.
:li.Select a drive from the :hp2.Drive:ehp2. list.
:li.Select a directory from the :hp2.Directory:ehp2. list.
:li.Select a file name from the :hp2.File:ehp2. list or type in a file
name.
:li.Select the :hp2.Open:ehp2. pushbutton to display the puzzle
you want to view.
:eol.
:p.
For a detailed explanation of each field, select from the list
below&colon.
:ul compact.
:li.:link refid=OPEN_OPEN_FILENAME reftype=hd.Open file name:elink.
:li.:link refid=OPEN_TYPE_OF_FILE reftype=hd.Type of file:elink.
:li.:link refid=OPEN_DRIVE reftype=hd.Drive:elink.
:li.:link refid=OPEN_FILE reftype=hd.File:elink.
:li.:link refid=OPEN_DIRECTORY reftype=hd.Directory:elink.
:li.:link refid=OPEN_OPEN reftype=hd.Open:elink.
:li.:link refid=OPEN_CANCEL reftype=hd.Cancel:elink.
:eul.
.*
.************************************************
.*   HELP FOR KEYS
.************************************************
.*
:h1 res=20810.Keys Help for Jigsaw
:i1.keys help
:p.There is no key specific help for :hp2.Jigsaw:ehp2..
.*
.************************************************
.*   HELP FOR OPEN FILENAME
.************************************************
.*
:h1 id=OPEN_OPEN_FILENAME hide nosearch.Help for Open Filename
:p.
Type the name of the file you want to open in the :hp2.Open
filename:ehp2. field and select the :hp2.Open:ehp2. pushbutton.
.*
.************************************************
.*   HELP FOR TYPE OF FILE
.************************************************
.*
:h1 id=OPEN_TYPE_OF_FILE hide nosearch.Help for Type of File
:p.
Select the down arrow to the right of the :hp2.Type of file:ehp2.
field to display the available file types.
.*
.************************************************
.*   HELP FOR DRIVE
.************************************************
.*
:h1 id=OPEN_DRIVE hide nosearch.Help for Drive
:p.
The :hp2.Drive:ehp2. list displays the drives on your system.  Select
the drive that contains the files you want to view.
.*
.************************************************
.*   HELP FOR FILE
.************************************************
.*
:h1 id=OPEN_FILE hide nosearch.Help for File
:p.
The :hp2.File:ehp2. list displays all the files in the directory you
selected from the :hp2.Directory:ehp2. list.  Select the file you want
to open.
.*
.************************************************
.* Help for DIRECTORY - File, New, Dialog
.************************************************
.*
:h1 id=OPEN_DIRECTORY hide nosearch.Help for Directory
:p.
The :hp2.Directory:ehp2. list displays the directories on the selected
drive.  Select a directory to display the list of files from that
directory in the :hp2.File:ehp2. list box.
.*
.************************************************
.*   HELP FOR OPEN
.************************************************
.*
:h1 id=OPEN_OPEN hide nosearch.Help for Open
:p.
Select :hp2.Open:ehp2. to accept all information in the window,
display the puzzle and remove the window from the
screen.
.*
.************************************************
.*   HELP FOR CANCEL
.************************************************
.*
:h1 id=OPEN_CANCEL hide nosearch.Help for Cancel
:p.
Select :hp2.Cancel:ehp2. to remove the window from the screen without
saving any changes.
.*
.************************************************
.*   GENERAL HELP
.************************************************
:h1 res=20815.Help for Jigsaw
:p.
Use :hp2.Jigsaw:ehp2. to play a fun video puzzle.
:p.
Related Information&colon.
:ul compact.
:li.:link refid=OBJECT_OF_THE_GAME reftype=hd.Object of the Game:elink.
:li.:link refid=PLAYING_THE_GAME reftype=hd.Playing the Game:elink.
:li.:link refid=HELPFUL_HINTS reftype=hd.Helpful Hints:elink.
:eul.
.**********************************
.*   OBJECT OF THE GAME
.*
:h2 id=OBJECT_OF_THE_GAME.Object of the Game
:i1.object of the game
:p.
The object of Jigsaw is to scramble and put together a puzzle.  You can
select from a list of puzzles or use one of your own.
.**********************************
.*   PLAYING THE GAME
.*
:h2 id=PLAYING_THE_GAME.Playing the Game
:i1.playing the game
:p.
To open a puzzle&colon.
:ol compact.
:li.Select :hp2.File:ehp2..
:li.Select :hp2.Open:ehp2. to see a list of puzzles.
:li.Select a puzzle.
:li.Select :hp2.Open:ehp2. to display the puzzle.
:eol.
:p.
To scramble the puzzle&colon.
:ol compact.
:li.Select :hp2.Options:ehp2..
:li.Select :hp2.Jumble!:ehp2. to scramble the puzzle.
:eol.
:p.
To move puzzle pieces&colon.
:ol compact.
:li.Move the mouse pointer over a puzzle piece.
.*ptr b731218 wrong mouse button (fixed 1-92)
:li.Press and hold mouse button 2, and drag it to the matching piece.
:li.When matching pieces are connected and mouse button 2 is released, the
computer beeps.
:eol.
:nt.You do not need to rotate the pieces to put the puzzle together.:ent.
.*
To change the size of the puzzle pieces&colon.
:ol compact.
:li.Select :hp2.Options:ehp2..
:li.Select :hp2.Size:ehp2..
:li.Select one of the following&colon.
:ul compact.
:li.:hp2.Small:ehp2.
:li.:hp2.Medium:ehp2.
:li.:hp2.Large:ehp2.
:li.:hp2.Full Size:ehp2..
:eul.
:eol.
.**********************************
.*   HELPFUL HINTS
.*
:h2 id=HELPFUL_HINTS.Helpful Hints
:i1.helpful hints
:p.
:ul compact.
:li.Make the puzzle smaller, giving you more room on the screen.
:li.You do not need to rotate the pieces.
:eul.
.*
.************************
.*   Glossary Terms
.************************
.*
:fn id=checkmark.
A symbol that shows that a choice is currently active.
:efn.
.************************
:euserdoc.
